varying vec3 V;
varying vec3 N;
varying float fogFactor;

void main()
{
	V = vec3(gl_ModelViewMatrix * gl_Vertex);
	N = normalize(gl_NormalMatrix * gl_Normal);
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
    
    fogFactor = (gl_Fog.end - V.z) / (gl_Fog.end - gl_Fog.start);
    fogFactor = clamp(fogFactor, .0, 1.0);
    gl_FrontColor = gl_Color;
    //gl_FrontColor = mix(gl_Fog.color, gl_Color, fogFactor);
}